Debian Bug report logs - #549033
pida: Uses deprecated libgtkhtml2

version graph

Package: pida; Maintainer for pida is Philipp Kaluza <debian@ghostroute.eu>; Source for pida is src:pida.

Reported by: joss@debian.org

Date: Wed, 30 Sep 2009 14:30:25 UTC

Severity: serious

Tags: patch, sid, squeeze

Found in versions pida/0.5.1-5, pida/0.5.1-5.1

Fixed in version pida/0.5.1-5.2

Done: Marek Kubica <marek@xivilization.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Philipp Kaluza <pk+debs@yomu.de>:
Bug#549033; Package pida. (Wed, 30 Sep 2009 14:30:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to joss@debian.org:
New Bug report received and forwarded. Copy sent to Philipp Kaluza <pk+debs@yomu.de>. (Wed, 30 Sep 2009 14:30:28 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: joss@debian.org
To: maintonly@bugs.debian.org
Subject: pida: Uses deprecated libgtkhtml2
Date: Wed, 30 Sep 2009 16:24:58 +0200
Package: pida
Version: 0.5.1-5
Severity: important
User: pkg-gnome-maintainers@lists.alioth.debian.org
Usertags: oldlibs libgtkhtml2

pida currently still uses libgtkhtml2, either directly or through the
Python bindings. However, libgtkhtml2 is not really maintained
upstream. After being in maintenance mode since 2005, it has not seen
any new release for 2 years now.

I’d like to remove libgtkhtml2 packages before the squeeze release.
This can only be done by getting rid of as much as possible of the
reverse dependencies.

For this to happen, the packages have to be migrated to another HTML
rendering engine. There is gtkhtml3 of course, and now there is
webkit, which is superior in terms of features and not too far from
libgtkhtml2 in terms of API.

I suggest that you migrate pida as soon as possible to use webkit for
rendering. For most packages, which use libgtkhtml2 in a simple way,
porting should be trivial - and even more so for those written in
Python.

As for bindings, they don’t have any reverse dependencies except
for the Python ones, so they should simply be removed ASAP, or drop
libgtkhtml2 support.

Thanks, 
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling





Information forwarded to debian-bugs-dist@lists.debian.org, pochu@debian.org, Philipp Kaluza <pk+debs@yomu.de>:
Bug#549033; Package pida. (Mon, 03 May 2010 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
Extra info received and forwarded to list. Copy sent to pochu@debian.org, Philipp Kaluza <pk+debs@yomu.de>. (Mon, 03 May 2010 12:09:04 GMT) Full text and rfc822 format available.

Message #10 received at 549033@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: Debian Bug Tracking System <549033@bugs.debian.org>
Subject: pida: python-gtkhtml2 about to be removed
Date: Mon, 03 May 2010 14:07:36 +0200
Package: pida
Version: 0.5.1-5.1
Severity: normal

pida doesn't require gtkhtml2, it's optional. Since we're about to remove
gtkhtml2 from the archive, please either remove the Depends or demote it to
a Suggests. Otherwise I'll look at NMUing the package soon.

Cheers,
Emilio




Information forwarded to debian-bugs-dist@lists.debian.org, Philipp Kaluza <pk+debs@yomu.de>:
Bug#549033; Package pida. (Fri, 21 May 2010 15:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@debian.org>:
Extra info received and forwarded to list. Copy sent to Philipp Kaluza <pk+debs@yomu.de>. (Fri, 21 May 2010 15:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 549033@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: 549033@bugs.debian.org, control@bugs.debian.org
Subject: pida: Uses deprecated libgtkhtml2
Date: Fri, 21 May 2010 17:30:16 +0200
severity 549033 serious
thanks

Hi,

python-gtkhtml2 is now gone from the archive, thus this is RC. Note that you
just need to remove python-gtkhtml2 from Depends as the package is not a hard
dependency. I was going to NMU it, but pida was unusable for me (filing a
separate bug report about that).

Emilio




Severity set to 'serious' from 'important' Request was from Emilio Pozuelo Monfort <pochu@debian.org> to control@bugs.debian.org. (Fri, 21 May 2010 15:33:04 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Marek Kubica <marek@xivilization.net> to control@bugs.debian.org. (Sat, 17 Jul 2010 14:18:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Marek Kubica <marek@xivilization.net> to control@bugs.debian.org. (Sat, 17 Jul 2010 14:18:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Philipp Kaluza <pk+debs@yomu.de>:
Bug#549033; Package pida. (Sat, 17 Jul 2010 14:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marek Kubica <marek@xivilization.net>:
Extra info received and forwarded to list. Copy sent to Philipp Kaluza <pk+debs@yomu.de>. (Sat, 17 Jul 2010 14:48:08 GMT) Full text and rfc822 format available.

Message #26 received at 549033@bugs.debian.org (full text, mbox):

From: Marek Kubica <marek@xivilization.net>
To: 549033@bugs.debian.org
Subject: Re: pida: Uses deprecated libgtkhtml2
Date: Sat, 17 Jul 2010 16:14:20 +0200
[Message part 1 (text/plain, inline)]
tag 549033 +patch
tag 549033 +pending
thanks

Hi,

In the course of todays BSP in Munich, I created an NMU patch, which
moves the python-gtkhtml2 dependency into Suggests. Currently
python-gtkhtml2 is still part of testing, so I hesitated removing it
altogether.

We hope to do an NMU at the end of our BSP.

regards,
Marek
[pida-gtkhtml2.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Marek Kubica <marek@xivilization.net>:
You have taken responsibility. (Sun, 18 Jul 2010 13:21:05 GMT) Full text and rfc822 format available.

Notification sent to joss@debian.org:
Bug acknowledged by developer. (Sun, 18 Jul 2010 13:21:05 GMT) Full text and rfc822 format available.

Message #31 received at 549033-close@bugs.debian.org (full text, mbox):

From: Marek Kubica <marek@xivilization.net>
To: 549033-close@bugs.debian.org
Subject: Bug#549033: fixed in pida 0.5.1-5.2
Date: Sun, 18 Jul 2010 13:19:38 +0000
Source: pida
Source-Version: 0.5.1-5.2

We believe that the bug you reported is fixed in the latest version of
pida, which is due to be installed in the Debian FTP archive:

pida_0.5.1-5.2.diff.gz
  to main/p/pida/pida_0.5.1-5.2.diff.gz
pida_0.5.1-5.2.dsc
  to main/p/pida/pida_0.5.1-5.2.dsc
pida_0.5.1-5.2_i386.deb
  to main/p/pida/pida_0.5.1-5.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 549033@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marek Kubica <marek@xivilization.net> (supplier of updated pida package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sat, 17 Jul 2010 15:47:56 +0200
Source: pida
Binary: pida
Architecture: source i386
Version: 0.5.1-5.2
Distribution: unstable
Urgency: low
Maintainer: Philipp Kaluza <pk+debs@yomu.de>
Changed-By: Marek Kubica <marek@xivilization.net>
Description: 
 pida       - Python Integrated Development Application, a Python IDE
Closes: 549033
Changes: 
 pida (0.5.1-5.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "Uses deprecated libgtkhtml2" by moving python-gtkhtml2 dependency
     into Suggests. (Closes: #549033)
Checksums-Sha1: 
 9eb554e08fa68fa3d203faa431b475f8aac6208a 1288 pida_0.5.1-5.2.dsc
 e518bb2e5d0823d4c07494ec140e79e2ec404665 5733 pida_0.5.1-5.2.diff.gz
 822f5a4785b64be78021f906e9e216c9b02d911f 464360 pida_0.5.1-5.2_i386.deb
Checksums-Sha256: 
 be4ed5a1f8ced9504892c7dc5542e4d06b88fc5d5b722aa989e72aaac7555734 1288 pida_0.5.1-5.2.dsc
 ab2922d1e61a6b9c51c6c8d9a23096b81147a8e134aa50998c22d94616e13593 5733 pida_0.5.1-5.2.diff.gz
 c8d8099b84f7afbe2a66e8456e65246fd87149897bde83fd78a921460d4dcf4f 464360 pida_0.5.1-5.2_i386.deb
Files: 
 83793455aee3541733d7fc51a927ad3f 1288 devel optional pida_0.5.1-5.2.dsc
 18d3fa58ffa43aed1d885d235b7e79bf 5733 devel optional pida_0.5.1-5.2.diff.gz
 13b4a73ae7680343579077a3542e66ca 464360 devel optional pida_0.5.1-5.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMQvu3mHaJYZ7RAb8RA0KaAJ0SmpZLZCHh7uceBXTTRsObztibhwCeNdrS
sENBTGzuJe8uRLhV2oFFoGc=
=accU
-----END PGP SIGNATURE-----





Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Thu, 29 Jul 2010 08:42:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:35:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:25:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.